Page MenuHomePhabricator

Enable CiviCRM change logging on staging
Closed, ResolvedPublic

Description

This is gonna be fun. We want to turn on "Logging", which creates a ton of new tables to track entity changes. It works via triggers, so we need to do something clever to workaround the permissions issues with triggers. It will take many hours to populate the tables, schedule that for Pacific evening or something.

When this is enabled, followon work is to do some performance benchmarking, and ask Civi admins if the information is useful.

Event Timeline

awight created this task.Nov 10 2015, 10:06 PM
awight raised the priority of this task from to Normal.
awight updated the task description. (Show Details)
awight added a subscriber: awight.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 10 2015, 10:06 PM
awight closed this task as Resolved.Apr 12 2016, 7:19 PM
awight claimed this task.

This happened--we're iterating on it now.

mmodell removed a subscriber: awight.Jun 22 2017, 9:51 PM